Package org.eclipse.emf.cdo.common.branch

# Class CDOBranchManager.EventAdapter

java.lang.Object
org.eclipse.emf.cdo.common.branch.CDOBranchManager.EventAdapter

All Implemented Interfaces:
  `EventListener`, `org.eclipse.net4j.util.event.IListener`

Enclosing interface:
  `CDOBranchManager`

public static class CDOBranchManager.EventAdapter extends Object implements org.eclipse.net4j.util.event.IListener
A `listener` that dispatches `branch changed events` to methods that can be overridden by extenders.

Since:
  4.15
Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.IListener

`org.eclipse.net4j.util.event.IListener.NotifierAware`

## Constructor Summary

Constructors
Constructor
Description
`EventAdapter()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`notifyBranchChangedEvent(CDOBranchChangedEvent event)`
`void`
`notifyEvent(org.eclipse.net4j.util.event.IEvent event)`
`protected void`
`notifyOtherEvent(org.eclipse.net4j.util.event.IEvent event)`
`protected void`
`onBranchCreated(CDOBranch branch)`
`protected void`
`onBranchesDeleted(CDOBranch rootBranch, int[] branchIDs)`
`protected void`
`onBranchRenamed(CDOBranch branch)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EventAdapter

public EventAdapter()

## Method Details

### notifyEvent

public void notifyEvent(org.eclipse.net4j.util.event.IEvent event)

Specified by:
  `notifyEvent` in interface `org.eclipse.net4j.util.event.IListener`

### notifyBranchChangedEvent

protected void notifyBranchChangedEvent(CDOBranchChangedEvent event)

### onBranchCreated

protected void onBranchCreated(CDOBranch branch)

### onBranchRenamed

protected void onBranchRenamed(CDOBranch branch)

### onBranchesDeleted

protected void onBranchesDeleted(CDOBranch rootBranch, int[] branchIDs)

### notifyOtherEvent

protected void notifyOtherEvent(org.eclipse.net4j.util.event.IEvent event)